ప్రమాణీకరణ
ఒక API కీని బేరర్ టోకెన్గా పంపండి. ఈ ఎండ్పాయింట్ స్పెసిఫికేషన్లో నిర్దిష్ట అనుమతిని పేర్కొనలేదు, కాబట్టి ఊహించడం కంటే మీ కీకి అవసరమైన కనిష్ట అనుమతిని ఇవ్వండి మరియు ప్రతిస్పందనను తనిఖీ చేయండి.
మీ సంస్థ ఐడీ ఎక్కడ ఉందో అక్కడ
ఈ ఎండ్పాయింట్ JSON బాడీలో ఫీల్డ్గా org_id ని తీసుకుంటుంది.
మీ సంస్థ ఐడి (organisation id) మీ డాష్బోర్డ్లోని API కీస్ స్క్రీన్పై, కీ పక్కనే ఉంటుంది. మీరు చేసే ప్రతి కాల్లోనూ ఇదే ఐడి ఉపయోగించబడుతుంది.
ప్రయత్నించండి
కోణీయ బ్రాకెట్లలో ఉన్న దేన్నైనా మీ స్వంత విలువలతో భర్తీ చేయండి, మరియు కీ ప్లేస్హోల్డర్ను మీ డాష్బోర్డ్ నుండి తీసుకున్న కీతో భర్తీ చేయండి.
curl -X POST https://api.zinndigital.com/v1/campaigns/{campaignId}/send \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ }'సైన్ ఇన్ చేశారా? మీ డ్యాష్బోర్డ్లోని API కాన్సోల్ మీ అసలైన సంస్థ ID మరియు మీ స్వంత కీని నింపుతుంది, అలాగే మీరు అసలైన ప్రతిస్పందనను చూడటానికి లైవ్ API ద్వారా ఆభ్యర్థనను రన్ చేస్తుంది. ఈ ఎండ్పాయింట్ను API కన్సోల్లో తెరిచండి
వివరాలు
Returns immediately; the send runs as a Temporal workflow that resumes rather than truncating. A send above the confirmation threshold requires `confirm` to equal the campaign's name exactly — enforced here, because a control that lives only in the client is one an API call walks past.
పారామీటర్లు
| పేరు | రకం | కావలసినది | ఇది ఏమిటి |
|---|---|---|---|
campaignId (path) | string | అవును | — |
అభ్యర్థన బాడీ
| పేరు | రకం | కావలసినది | ఇది ఏమిటి |
|---|---|---|---|
confirm | string | కాదు | — |
org_id | string | కాదు | — |
స్పందన
| పేరు | రకం | కావలసినది | ఇది ఏమిటి |
|---|---|---|---|
id | string | అవును | — |
org_id | string | అవును | — |
name | string | అవును | — |
template_id | string | అవును | — |
segment_id | string | కాదు | — |
purpose | string<marketing, transactional> | అవును | — |
channels | string[] | అవును | — |
status | string<draft, scheduled, sending, paused, sent, cancelled, failed> | అవును | — |
scheduled_for | string | కాదు | — |
include_not_in_good_standing | boolean | కాదు | — |
total_recipients | integer | అవును | — |
skipped | CampaignSkipCounts | అవును | ⛔ Every skip counted separately and never silent, and **every one is present even when it is zero**. "4,127 recipients, 312 skipped — not in good standing" is rendered from thes… |
delivery | CampaignDeliveryCounts | కాదు | ⛔ `sent` is NOT `delivered`. `sent` means a provider accepted the hand-off; `delivered` means the receiving server accepted it, which arrives later by webhook. A screen showing… |
last_error | string | కాదు | — |
created_at | string | అవును | — |
started_at | string | కాదు | — |
finished_at | string | కాదు | — |
ఈ ఎండ్పాయింట్ తిరిగి ఇవ్వగల లోపాలు
401 · 403 · 404 · 409 · 422